% Matlab script to solve problem 2 on Prelim2 in TAM 203
% -April 17, 2002,  Andy Ruina
% Minimally commented to save space.  See exam solutions for more commentary

pic = [ 1 -1 -1  1 1;
        1  1 -1 -1 1 ]/2;

		theta0=0; omega0=0;
[t z]  =  ode23('squarerhs', [0 1], [theta0 omega0]);
theta1 =  z(end,1);

R    = [cos(theta1)  -sin(theta1);
        sin(theta1)   cos(theta1) ];
disp =  [.5 0]';
homo =  [ R   disp ;
        [0 0   1   ] ];
		
newpic = homo*[pic; ones(1,5)];

plot(newpic(1,:),newpic(2,:))
axis('equal'); title('Square plate after one second');

   
